libzypp: zyppng::DigestReportHelper< ZyppContextRef > Class Template Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zyppng::DigestReportHelper< ZyppContextRef > Class Template Reference

`#include <zypp/ng/reporthelper.h>`

Inheritance diagram for zyppng::DigestReportHelper< ZyppContextRef >:

## Public Member Functions
| DigestReportHelper (ZyppContextRef r)
| DigestReportHelper (const DigestReportHelper &)=default
| DigestReportHelper (DigestReportHelper &&)=default
DigestReportHelper & | operator= (const DigestReportHelper &)=default
DigestReportHelper & | operator= (DigestReportHelper &&)=default
bool | askUserToAcceptNoDigest (const zypp::Pathname &file)
bool | askUserToAccepUnknownDigest (const zypp::Pathname &file, const std::string &name)
bool | askUserToAcceptWrongDigest (const zypp::Pathname &file, const std::string &requested, const std::string &found)
Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (const BasicReportHelper &)=default
| BasicReportHelper (BasicReportHelper &&)=default
BasicReportHelper & | operator= (const BasicReportHelper &)=default
BasicReportHelper & | operator= (BasicReportHelper &&)=default
const ZyppContextRef & | zyppContext ()

## Private Attributes
detail::ReportHolder< ZyppContextRef, zypp::DigestReport > | _report

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
static constexpr bool | async ()
Protected Member Functions inherited from zyppng::BasicReportHelper< ZyppContextRef >
| BasicReportHelper (ZyppContextRef &&ctx)
Protected Attributes inherited from zyppng::BasicReportHelper< ZyppContextRef >
ZyppContextRef | _ctx

## Detailed Description

template<typename ZyppContextRef>
class zyppng::DigestReportHelper< ZyppContextRef >

Definition at line 80 of file reporthelper.h.

## Constructor & Destructor Documentation

## ◆ DigestReportHelper() [1/3]

template<typename ZyppContextRef>

zyppng::DigestReportHelper< ZyppContextRef >::DigestReportHelper | ( | ZyppContextRef | r | ) |
| inline

Definition at line 84 of file reporthelper.h.

## ◆ DigestReportHelper() [2/3]

template<typename ZyppContextRef>

zyppng::DigestReportHelper< ZyppContextRef >::DigestReportHelper | ( | const DigestReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ DigestReportHelper() [3/3]

template<typename ZyppContextRef>

zyppng::DigestReportHelper< ZyppContextRef >::DigestReportHelper | ( | DigestReportHelper< ZyppContextRef > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename ZyppContextRef>

DigestReportHelper & zyppng::DigestReportHelper< ZyppContextRef >::operator= | ( | const DigestReportHelper< ZyppContextRef > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename ZyppContextRef>

DigestReportHelper & zyppng::DigestReportHelper< ZyppContextRef >::operator= | ( | DigestReportHelper< ZyppContextRef > && |  | ) |
| default

## ◆ askUserToAcceptNoDigest()

template<typename ZyppContextRef>

bool zyppng::DigestReportHelper< ZyppContextRef >::askUserToAcceptNoDigest | ( | const zypp::Pathname & | file | ) |

Definition at line 23 of file reporthelper.cc.

## ◆ askUserToAccepUnknownDigest()

template<typename ZyppContextRef>

bool zyppng::DigestReportHelper< ZyppContextRef >::askUserToAccepUnknownDigest | ( | const zypp::Pathname & | file,
|  | const std::string & | name )

Definition at line 36 of file reporthelper.cc.

## ◆ askUserToAcceptWrongDigest()

template<typename ZyppContextRef>

bool zyppng::DigestReportHelper< ZyppContextRef >::askUserToAcceptWrongDigest | ( | const zypp::Pathname & | file,
|  | const std::string & | requested,
|  | const std::string & | found )

Definition at line 49 of file reporthelper.cc.

## Member Data Documentation

## ◆ _report

template<typename ZyppContextRef>

detail::ReportHolder<ZyppContextRef, zypp::DigestReport> zyppng::DigestReportHelper< ZyppContextRef >::_report
| private

Definition at line 97 of file reporthelper.h.

The documentation for this class was generated from the following files:

- zypp/ng/reporthelper.h
- zypp/ng/reporthelper.cc